complexType "ReferenceInformation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceEntity?, (referenceObligation* | noReferenceObligation? | unknownReferenceObligation?), allGuarantees?, referencePrice?, referencePolicy?, securedList?
</...>

Content Model Elements (8):

  allGuarantees, noReferenceObligation (in referenceInformation), referenceEntity (in referenceInformation), referenceObligation (in referenceInformation), | referencePolicy, referencePrice, securedList, unknownReferenceObligation

All Direct / Indirect Based Elements (1):

  referenceInformation

Known Usage Locations

- As direct type of elements (1):
  referenceInformation

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ReferenceInformation"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="referenceObligation" type="ReferenceObligation"/> <xsd:element minOccurs="0" name="noReferenceObligation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="unknownReferenceObligation" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="allGuarantees" type="xsd:boolean"/> <xsd:element minOccurs="0" name="referencePrice" type="xsd:decimal"/> <xsd:element minOccurs="0" name="referencePolicy" type="xsd:boolean"/> <xsd:element minOccurs="0" name="securedList" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
allGuarantees

  Type: | xsd:boolean, predefined, simple content

  Indicates whether an obligation of the Reference Entity, guaranteed by the Reference Entity on behalf of a non-Affiliate, is to be considered an Obligation for the purpose of the transaction. It will be considered an obligation if allGuarantees is applicable (true) and not if allGuarantees is inapplicable (false). ISDA 2003 Term: All Guarantees
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allGuarantees" type="xsd:boolean"/>

noReferenceObligation

  Type: | xsd:boolean, predefined, simple content

  Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="noReferenceObligation" type="xsd:boolean"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/>

referenceObligation

  Type: | ReferenceObligation, complex content

  The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity. It serves to clarify the precise reference entity protection is being offered upon, and its legal position with regard to other related firms (parents/subsidiaries). Furthermore the Reference Obligation is ALWAYS deliverable and establishes the Pari Passu ranking (as the deliverable bonds must rank equal to the reference obligation). ISDA 2003 Term: Reference Obligation
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="referenceObligation" type="ReferenceObligation"/>

referencePolicy

  Type: | xsd:boolean, predefined, simple content

  Applicable to the transactions on mortgage-backed security, which can make use of a reference policy. Presence of the element with value set to 'true' indicates that the reference policy is applicable; absence implies that it is not.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referencePolicy" type="xsd:boolean"/>

referencePrice

  Type: | xsd:decimal, predefined, simple content

  Used to determine (a) for physically settled trades, the Physical Settlement Amount, which equals the Floating Rate Payer Calculation Amount times the Reference Price and (b) for cash settled trades, the Cash Settlement Amount, which equals the greater of (i) the difference between the Reference Price and the Final Price and (ii) zero. ISDA 2003 Term: Reference Price
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referencePrice" type="xsd:decimal"/>

securedList

  Type: | xsd:boolean, predefined, simple content

  With respect to any day, the list of Syndicated Secured Obligations of the Designated Priority of the Reference Entity published by Markit Group Limited or any successor thereto appointed by the Specified Dealers (the "Secured List Publisher") on or most recently before such day, which list is currently available at [http://www.markit.com]. ISDA 2003 Term: Relevant Secured List.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="securedList" type="xsd:boolean"/>

unknownReferenceObligation

  Type: | xsd:boolean, predefined, simple content

  Used to indicate that the Reference obligation associated with the Credit Default Swap is currently not known. This is not valid for Legal Confirmation purposes, but is valid for earlier stages in the trade life cycle (e.g. Broker Confirmation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unknownReferenceObligation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.